Bug 146731 - FILEOPEN: PPTX: Borders are displayed when they shouldn't
Summary: FILEOPEN: PPTX: Borders are displayed when they shouldn't
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.0.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-01-13 09:54 UTC by Xisco Faulí
Modified: 2022-01-26 12:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison MSO 2010 and LibreOffice 7.4 master (279.19 KB, image/png)
2022-01-13 09:54 UTC, Xisco Faulí
Details
Comparison of attachment 114851 (13.15 KB, image/png)
2022-01-13 10:10 UTC, Xisco Faulí
Details
before your patch and after (12.57 KB, image/png)
2022-01-26 12:37 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-01-13 09:54:11 UTC
Created attachment 177518 [details]
Comparison MSO 2010 and LibreOffice 7.4 master

Steps to reproduce:
1. Open attachment 52229 [details] from bug 41693

-> Bottom borders below 'Carbon', 'Nitrogen' and 'Sulfur' rows are displayed. See comparison image

Reproduced in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 2d11710df6d81c03007d136667a443e09cc70eed
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2022-01-13 09:55:11 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=fa5ab8aa5d88e7128015127af75980a65f945cbb

author	Gülşah Köse <gulsah.kose@collabora.com>	2022-01-05 13:03:14 +0300
committer	Gülşah Köse <gulsah.kose@collabora.com>	2022-01-06 15:16:28 +0100
commit fa5ab8aa5d88e7128015127af75980a65f945cbb (patch)
tree 9f89485e7354c181d6e6c6f7a7ea5e5d9b94b63f
parent 42e7dc75363ee7f326f7f9e2b4476e55300f1f7a (diff)
tdf#135843 Fix the missing border handling

Bisected with: bibisect-linux64-7.4

Adding Cc: to Gülşah Köse
Comment 2 Xisco Faulí 2022-01-13 10:10:02 UTC
attachment 114851 [details] from bug 90672 is also affected by this issue
Comment 3 Xisco Faulí 2022-01-13 10:10:59 UTC
Created attachment 177519 [details]
Comparison of attachment 114851 [details]
Comment 4 Gülşah Köse 2022-01-14 08:06:17 UTC
I've a solution for this. I'll commit today.
Comment 5 Gülşah Köse 2022-01-17 10:23:15 UTC
Xisco, Can you confirm the patch is ok for this regression? https://gerrit.libreoffice.org/c/core/+/128493
Comment 6 Xisco Faulí 2022-01-17 12:07:55 UTC
(In reply to Gülşah Köse from comment #5)
> Xisco, Can you confirm the patch is ok for this regression?
> https://gerrit.libreoffice.org/c/core/+/128493

verified in gerrit
Comment 7 Commit Notification 2022-01-17 12:15:59 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/586a0f149f332c0b0e53c0bb30568d4bd411b0e3

tdf#135843 tdf#146731 Fix the missing border handling

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-01-17 20:32:58 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/703167d4fb6e1d1e7bb72bfd79cfa0ae140ca89f

tdf#146731: sd_layout: Add unittest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-01-18 09:14:11 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/58c1afd0590463177de83a90a848a83d0cfcc058

tdf#135843 tdf#146731 Fix the missing border handling

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-01-20 10:19:21 UTC
Gülşah Köse committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-0":

https://git.libreoffice.org/core/commit/2b819b95f999952fa324dff335130f2693ca2327

tdf#135843 tdf#146731 Fix the missing border handling

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Gerald Pfeifer 2022-01-23 14:07:30 UTC
Verifying as fixed, both the original report ( attachment 52229 [details] )
and the one from comment #2 ( attachment 114851 [details] ).

Thanks for catching this so quickly, Xisco, and fixing it swiftly,
Gülşah.
Comment 12 Gülşah Köse 2022-01-26 08:08:42 UTC
Hello Xisco,

My patch on the gerrit (https://gerrit.libreoffice.org/c/core/+/128971) fails on SdLayoutTest::testTdf146731 but when I check manually on UI, table looks normal after my patch applied. Any chance to check again. Maybe it tests wrong thing on table?
Comment 13 Xisco Faulí 2022-01-26 10:04:35 UTC
(In reply to Gülşah Köse from comment #12)
> Hello Xisco,
> 
> My patch on the gerrit (https://gerrit.libreoffice.org/c/core/+/128971)
> fails on SdLayoutTest::testTdf146731 but when I check manually on UI, table
> looks normal after my patch applied. Any chance to check again. Maybe it
> tests wrong thing on table?

Hi Gülşah,
According to https://ci.libreoffice.org/job/gerrit_master/106459/, there are many other reasons why it's failing too. Could you please fix those problems first ?
Comment 14 Gülşah Köse 2022-01-26 12:22:44 UTC
(In reply to Xisco Faulí from comment #13)
> 
> Hi Gülşah,
> According to https://ci.libreoffice.org/job/gerrit_master/106459/, there are
> many other reasons why it's failing too. Could you please fix those problems
> first ?

I fixed them. Could you check it again please?
Comment 15 Xisco Faulí 2022-01-26 12:37:04 UTC
Created attachment 177804 [details]
before your patch and after

Yep, visually they are the same. The only difference I see is the empty border in the middle, on the left it's there, on the right, it's not